/**
 * Theme Name: Twenty Twenty Five Child
 * Template:   twentytwentyfive
 * ...other header fields
 */

a.wp-block-latest-posts__post-title {
    font-size: 1.8rem;
}

/**For the overlay **/
.cover-image {
    z-index: 99;
    background-color: #dedede !important;
}

.cover-image img {
    mask: linear-gradient(180deg, #000, #000, #000, #000, #0000);
    -webkit-mask: linear-gradient(180deg, #000, #000, #000, #000, #0000);
}

/**Fall back overlay image **/
.cover-image:not(:has(img)) {
    background-image: url("https://iypt.org.nz/wp-content/uploads/2026/01/home-page-pic-with-logo.png") !important;
    background-size: cover;
    background-position: 50% 0%;
    
    mask: linear-gradient(180deg, #000, #000, #000, #000, #0000);
    -webkit-mask: linear-gradient(180deg, #000, #000, #000, #000, #0000);
}

.page-content {
    z-index: 100;
    /* box-shadow: 0 0 30px 0px rgba(0,0,0,0.5); */
}


footer>div {
    z-index: 999;
}

footer {
    position: relative;
    z-index: 999;
    margin-top: 0;
}

footer a {
    text-decoration: none;
}

header {
    position: relative;
    z-index: 999;
    box-shadow: 0 10px 30px 10px rgba(0, 0, 0, 0.5);
}


header:has(.front-page-header), header.front-page-header {
    position: absolute;
    width: 100%;
    margin-top: 1rem;
    box-shadow: none;
}

.image-pane-button {
    height: 100%;
}

/**
* Does not work on Firefox yet.
*/
/* .wavy-top {
    clip-path: shape(from 0 10%,
        curve to 100% 10% with 40% -15% / 60% 35%,
        line to 100% 100%,
        line to 0 100%
        );
}

.s-wavy {
    z-index: 200;
    position: relative;
        clip-path: shape(from 0 10%,
        curve to 100% 10% with 40% -15% / 60% 35%,
        line to 100% 90%,
        curve to 0 90% with 60% 115% / 40% 65%
    );
} */

footer .wavy-top {
    clip-path: url(#footer-clip);
}

.s-wavy {
    z-index: 200;
    position: relative;
    clip-path: url(#header-clip);
}

form.header-search, form.header-search .wp-block-search__inside-wrapper {
    height: 100%;
}

form.header-search .wp-block-search__inside-wrapper button{
    margin: 0;
    padding: 0.5rem;
}

form.header-search .wp-block-search__inside-wrapper {
    padding: 0;
}

form.header-search .wp-block-search__inside-wrapper input {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}


.wp-block-heading a {
    text-decoration: none;
    color: inherit;
}

.wp-block-heading a:focus {
    outline: none;
}

.color-invert img {
    filter: invert(1) !important;
}

form.wp-block-search {
    max-height: 4rem;
}


@media (max-width: 1024px) {
    .s-wavy{
        font-size: 1rem;
    }

    .front-page-header .wp-block-column .wp-block-buttons{
        justify-content: center;
    }

    .wp-block-heading a {
        font-size: 0.8rem;
    }

    footer .wp-block-image {
        display: flex;
        justify-content: center;
    }

    footer .wp-block-image img {
        max-height: 50px;
        width: auto;
    }
}

@media screen and (max-width: 600px) {
    .header-buttons {
        gap: 0.25rem;
        width: 100%;
    }

    .header-buttons.wp-block-buttons .wp-block-button {
        width: 95%;
    }

    .header-buttons button a {
        font-size: 0.5rem;
    }
}


/**
 *  Contact form
**/

form.wpcf7-form {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    max-width: 600px;
}

form.wpcf7-form>p {
    margin-top: 0;
    margin-bottom: 0;
}

form.wpcf7-form label {
    font-weight: 500;
}

form.wpcf7-form label input, form.wpcf7-form label textarea {
    font-size: 1rem;
    width: 100%;
    resize: none;
    padding: 0.25rem;
}

.wpcf7-form .wpcf7-submit {
    background-color: var(--wp--preset--color--accent-2);
    color: var(--wp--preset--color--base);
    border: none;
    padding: 0.75rem 1.5rem;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.wpcf7-form .wpcf7-submit:hover {
    background-color: var(--wp--preset--color--vivid-red);
}

.main-logo a {
    min-width: 50px;
}

@media screen and (max-width:1200px) {
    .desktop-only {
        display: none;
    }

    .has-global-padding:has(.header-nav) {
        padding-right: 1rem;
        padding-left: 1rem;
    }
}